> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockline.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

> Retrieves detailed information about a specific transaction including slot, timestamp, success status, fee, tokens involved, and market information with human-readable labels and tags.



## OpenAPI

````yaml /api-reference/openapi.json get /transaction/{signature}
openapi: 3.0.3
info:
  title: Blockline MEV Analytics API
  description: >-
    Professional MEV analytics API for Solana. Analyze transaction context,
    detect front-running, identify sandwich attacks, and gain competitive
    intelligence on Solana MEV activity.
  version: 1.0.0
  contact:
    name: Blockline Support
    url: https://blockline.soltop.sh
servers:
  - url: https://api.soltop.sh
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: Trade Analysis
    description: Analyze MEV activity and transaction context
  - name: Transactions
    description: Transaction details and metadata
  - name: Wallets
    description: Wallet transaction history
  - name: Data Management
    description: Backfill and data operations
  - name: MEV Analysis
    description: >-
      Sandwich attack detection: scan wallets, check transactions, and profile
      attackers (async job queue)
  - name: Write Locks
    description: Account write lock contention and hot account analysis
paths:
  /transaction/{signature}:
    get:
      tags:
        - Transactions
      summary: Get Transaction Details
      description: >-
        Retrieves detailed information about a specific transaction including
        slot, timestamp, success status, fee, tokens involved, and market
        information with human-readable labels and tags.
      operationId: getTransaction
      parameters:
        - name: signature
          in: path
          required: true
          schema:
            type: string
            pattern: ^[1-9A-HJ-NP-Za-km-z]{87,88}$
          description: Transaction signature (base58, 87-88 characters)
          example: >-
            pHXgUjY4cVvi5orXuK3b66MBhF2W3MpXruRGKodqTWze7354iVQ66k1rWCzyWTU7UDeebojPTpW9ZmVv9Dn12cg
      responses:
        '200':
          description: Transaction details
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      signature:
                        type: string
                      slot:
                        type: integer
                      blockTime:
                        type: integer
                        description: Unix timestamp
                      success:
                        type: boolean
                        description: Whether transaction succeeded
                      fee:
                        type: integer
                        description: Transaction fee in lamports
                      tokens:
                        type: array
                        items:
                          type: string
                        description: Token mint addresses involved
                      leader:
                        type: string
                        description: Validator pubkey that produced the block
                      client:
                        type: string
                        description: Validator client type (e.g., jito-solana, agave)
                        example: jito-solana
                      clientVersion:
                        type: string
                        description: Version of validator client
                        example: 1.18.15
                      validatorName:
                        type: string
                        description: Human-readable validator name
                        example: Jito Validator
                      markets:
                        type: array
                        items:
                          type: object
                          properties:
                            poolAddress:
                              type: string
                            account_label:
                              type: string
                              example: Pump.fun AMM (Percolator-WSOL) Market
                            account_tags:
                              type: array
                              items:
                                type: string
                              example:
                                - pump.fun amm
                                - market
        '401':
          $ref: 02ca5649-c9d9-4a5e-8f26-a133d5c61cc5
        '403':
          $ref: 80776eac-c595-4f19-9646-9d6dc9a6cf2c
        '404':
          description: Transaction not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error: Transaction not found
                details: 'No transaction found with signature: abc123...'
                timestamp: '2025-10-02T15:30:45.123Z'
        '429':
          $ref: cfbde83c-0b04-46b0-b46a-c3a713982079
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        details:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          description: Detailed error information
        timestamp:
          type: string
          format: date-time
          description: When the error occurred
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API Key authentication. Format: `sk_live_xxx` (production) or
        `sk_test_xxx` (testing). Obtain your API key from the [Blockline
        Dashboard](https://blockline.soltop.sh/dashboard/api-keys).

````